-- MSFS CONTROLS
-- Updated for LINDA 4.0.0
-- Aug 2020

-- ## A - 1 ##
function _ABORT (p) 	ipc.control( 65733, p )  end 
function _ADD_FUEL_QUANTITY (p) 	ipc.control( 66601, p )  end 
function _ADF (p) 	ipc.control( 65566, p )  end 
function _ADF1_RADIO_SWAP (p) 	ipc.control( 66741, p )  end 
function _ADF1_RADIO_TENTHS_DEC (p) 	ipc.control( 66453, p )  end 
function _ADF1_RADIO_TENTHS_INC (p) 	ipc.control( 66454, p )  end 
function _ADF1_WHOLE_DEC (p) 	ipc.control( 66543, p )  end 
function _ADF1_WHOLE_INC (p) 	ipc.control( 66542, p )  end 
function _ADF2_100_DEC (p) 	ipc.control( 66548, p )  end 
function _ADF2_100_INC (p) 	ipc.control( 66544, p )  end 
function _ADF2_10_DEC (p) 	ipc.control( 66549, p )  end 
function _ADF2_10_INC (p) 	ipc.control( 66545, p )  end 
function _ADF2_1_DEC (p) 	ipc.control( 66550, p )  end 
function _ADF2_1_INC (p) 	ipc.control( 66546, p )  end 
function _ADF2_COMPLETE_SET (p) 	ipc.control( 66556, p )  end 
function _ADF2_FRACT_DEC_CARRY (p) 	ipc.control( 66555, p )  end 
function _ADF2_FRACT_INC_CARRY (p) 	ipc.control( 66554, p )  end 
function _ADF2_RADIO_SWAP (p) 	ipc.control( 66742, p )  end 
function _ADF2_RADIO_TENTHS_DEC (p) 	ipc.control( 66551, p )  end 
function _ADF2_RADIO_TENTHS_INC (p) 	ipc.control( 66547, p )  end 
function _ADF2_WHOLE_DEC (p) 	ipc.control( 66553, p )  end 
function _ADF2_WHOLE_INC (p) 	ipc.control( 66552, p )  end 
function _ADF_100_DEC (p) 	ipc.control( 65666, p )  end 
function _ADF_100_INC (p) 	ipc.control( 65648, p )  end 
function _ADF_10_DEC (p) 	ipc.control( 65667, p )  end 
function _ADF_10_INC (p) 	ipc.control( 65649, p )  end 
function _ADF_1_DEC (p) 	ipc.control( 65668, p )  end 
function _ADF_1_INC (p) 	ipc.control( 65650, p )  end 
function _ADF_CARD_DEC (p) 	ipc.control( 65882, p )  end 
function _ADF_CARD_INC (p) 	ipc.control( 65881, p )  end 
function _ADF_CARD_SET (p) 	ipc.control( 66039, p )  end 
function _ADF_COMPLETE_SET (p) 	ipc.control( 66479, p )  end 
function _ADF_EXTENDED_SET (p) 	ipc.control( 66047, p )  end 
function _ADF_FRACT_DEC_CARRY (p) 	ipc.control( 66461, p )  end 
function _ADF_FRACT_INC_CARRY (p) 	ipc.control( 66462, p )  end 
function _ADF_HIGHRANGE_SET (p) 	ipc.control( 66123, p )  end 
function _ADF_LOWRANGE_SET (p) 	ipc.control( 66122, p )  end 
function _ADF_SET (p) 	ipc.control( 65714, p )  end 
function _ADVENTURE_ACTION_KEY (p) 	ipc.control( 66655, p )  end 

-- ## A - 2 ##
function _AILERON_SET (p) 	ipc.control( 65695, p )  end 
function _AILERON_TRIM_LEFT (p) 	ipc.control( 66276, p )  end 
function _AILERON_TRIM_RIGHT (p) 	ipc.control( 66277, p )  end 
function _AILERON_TRIM_SET (p) 	ipc.control( 66731, p )  end 
function _AILERONS_LEFT (p) 	ipc.control( 65611, p )  end 
function _AILERONS_RIGHT (p) 	ipc.control( 65613, p )  end 
function _AIRSPEED_BUG_SELECT (p) 	ipc.control( 66532, p )  end 
function _ALL_LIGHTS_TOGGLE (p) 	ipc.control( 65574, p )  end 
function _ALTITUDE_BUG_SELECT (p) 	ipc.control( 66510, p )  end 
function _ANTI_ICE_OFF (p) 	ipc.control( 66030, p )  end 
function _ANTI_ICE_ON (p) 	ipc.control( 66029, p )  end 
function _ANTI_ICE_SET (p) 	ipc.control( 66031, p )  end 
function _ANTI_ICE_SET_ENG1 (p) 	ipc.control( 66488, p )  end 
function _ANTI_ICE_SET_ENG2 (p) 	ipc.control( 66489, p )  end 
function _ANTI_ICE_SET_ENG3 (p) 	ipc.control( 66490, p )  end 
function _ANTI_ICE_SET_ENG4 (p) 	ipc.control( 66491, p )  end 
function _ANTI_ICE_TOGGLE (p) 	ipc.control( 65571, p )  end 
function _ANTI_ICE_TOGGLE_ENG1 (p) 	ipc.control( 66484, p )  end 
function _ANTI_ICE_TOGGLE_ENG2 (p) 	ipc.control( 66485, p )  end 
function _ANTI_ICE_TOGGLE_ENG3 (p) 	ipc.control( 66486, p )  end 
function _ANTI_ICE_TOGGLE_ENG4 (p) 	ipc.control( 66487, p )  end 
function _ANTISKID_BRAKES_TOGGLE (p) 	ipc.control( 66720, p )  end 

-- ## A - 3 ##
function _AP_AIRSPEED_HOLD (p) 	ipc.control( 65859, p )  end 
function _AP_AIRSPEED_OFF (p) 	ipc.control( 66094, p )  end 
function _AP_AIRSPEED_ON (p) 	ipc.control( 66093, p )  end 
function _AP_AIRSPEED_SET (p) 	ipc.control( 66095, p )  end 
function _AP_ALT_HOLD (p) 	ipc.control( 65726, p )  end 
function _AP_ALT_HOLD_OFF (p) 	ipc.control( 65816, p )  end 
function _AP_ALT_HOLD_ON (p) 	ipc.control( 65808, p )  end 
function _AP_ALT_VAR_DEC (p) 	ipc.control( 65893, p )  end 
function _AP_ALT_VAR_INC (p) 	ipc.control( 65892, p )  end 
function _AP_ALT_VAR_SET_ENGLISH (p) 	ipc.control( 66124, p )  end 
function _AP_ALT_VAR_SET_METRIC (p) 	ipc.control( 66035, p )  end 
function _AP_APR_HOLD (p) 	ipc.control( 65724, p )  end 
function _AP_APR_HOLD_OFF (p) 	ipc.control( 65814, p )  end 
function _AP_APR_HOLD_ON (p) 	ipc.control( 65806, p )  end 
function _AP_ATT_HOLD (p) 	ipc.control( 65722, p )  end 
function _AP_ATT_HOLD_OFF (p) 	ipc.control( 65812, p )  end 
function _AP_ATT_HOLD_ON (p) 	ipc.control( 65804, p )  end 
function _AP_BC_HOLD (p) 	ipc.control( 65728, p )  end 
function _AP_BC_HOLD_OFF (p) 	ipc.control( 65818, p )  end 
function _AP_BC_HOLD_ON (p) 	ipc.control( 65810, p )  end 
function _AP_HDG_HOLD (p) 	ipc.control( 65725, p )  end 
function _AP_HDG_HOLD_OFF (p) 	ipc.control( 65815, p )  end 
function _AP_HDG_HOLD_ON (p) 	ipc.control( 65807, p )  end 
function _AP_LOC_HOLD (p) 	ipc.control( 65723, p )  end 
function _AP_LOC_HOLD_OFF (p) 	ipc.control( 65813, p )  end 
function _AP_LOC_HOLD_ON (p) 	ipc.control( 65805, p )  end 
function _AP_MACH_HOLD (p) 	ipc.control( 65918, p )  end 
function _AP_MACH_OFF (p) 	ipc.control( 66097, p )  end 
function _AP_MACH_ON (p) 	ipc.control( 66096, p )  end 
function _AP_MACH_SET (p) 	ipc.control( 66098, p )  end 
function _AP_MACH_VAR_DEC (p) 	ipc.control( 65917, p )  end 
function _AP_MACH_VAR_INC (p) 	ipc.control( 65916, p )  end 
function _AP_MACH_VAR_SET (p) 	ipc.control( 66038, p )  end 
function _AP_MASTER (p) 	ipc.control( 65580, p )  end 

-- ## A - 4 ##
function _AP_MAX_BANK_DEC (p) 	ipc.control( 66710, p )  end 
function _AP_MAX_BANK_INC (p) 	ipc.control( 66709, p )  end 
function _AP_N1_HOLD (p) 	ipc.control( 66711, p )  end 
function _AP_N1_REF_DEC (p) 	ipc.control( 65899, p )  end 
function _AP_N1_REF_INC (p) 	ipc.control( 65898, p )  end 
function _AP_N1_REF_SET (p) 	ipc.control( 65900, p )  end 
function _AP_NAV1_HOLD (p) 	ipc.control( 65729, p )  end 
function _AP_NAV1_HOLD_OFF (p) 	ipc.control( 65819, p )  end 
function _AP_NAV1_HOLD_ON (p) 	ipc.control( 65811, p )  end 
function _AP_NAV_SELECT_SET (p) 	ipc.control( 66502, p )  end 
function _AP_PANEL_ALTITUDE_HOLD (p) 	ipc.control( 65799, p )  end 
function _AP_PANEL_ALTITUDE_OFF (p) 	ipc.control( 66104, p )  end 
function _AP_PANEL_ALTITUDE_ON (p) 	ipc.control( 66103, p )  end 
function _AP_PANEL_ALTITUDE_SET (p) 	ipc.control( 66105, p )  end 
function _AP_PANEL_CRUISE_SPEED_TOGGLE (p) 	ipc.control( 66358, p )  end 
function _AP_PANEL_HEADING_HOLD (p) 	ipc.control( 65798, p )  end 
function _AP_PANEL_HEADING_OFF (p) 	ipc.control( 66107, p )  end 
function _AP_PANEL_HEADING_ON (p) 	ipc.control( 66106, p )  end 
function _AP_PANEL_HEADING_SET (p) 	ipc.control( 66108, p )  end 
function _AP_PANEL_MACH_HOLD (p) 	ipc.control( 65915, p )  end 
function _AP_PANEL_MACH_HOLD_TOGGLE (p) 	ipc.control( 66356, p )  end 
function _AP_PANEL_MACH_OFF (p) 	ipc.control( 66110, p )  end 
function _AP_PANEL_MACH_ON (p) 	ipc.control( 66109, p )  end 
function _AP_PANEL_MACH_SET (p) 	ipc.control( 66111, p )  end 
function _AP_PANEL_MAX_SPEED_TOGGLE (p) 	ipc.control( 66357, p )  end 
function _AP_PANEL_SPEED_ACQ_TOGGLE (p) 	ipc.control( 66354, p )  end 
function _AP_PANEL_SPEED_HOLD (p) 	ipc.control( 65891, p )  end 
function _AP_PANEL_SPEED_HOLD_TOGGLE (p) 	ipc.control( 66353, p )  end 
function _AP_PANEL_SPEED_OFF (p) 	ipc.control( 66113, p )  end 
function _AP_PANEL_SPEED_ON (p) 	ipc.control( 66112, p )  end 
function _AP_PANEL_SPEED_SET (p) 	ipc.control( 66114, p )  end 
function _AP_PANEL_VS_HOLD (p) 	ipc.control( 65890, p )  end 
function _AP_PANEL_VS_OFF (p) 	ipc.control( 66116, p )  end 
function _AP_PANEL_VS_ON (p) 	ipc.control( 66115, p )  end 
function _AP_PANEL_VS_SET (p) 	ipc.control( 66117, p )  end 

-- ## A - 5 ##
function _AP_PITCH_REF_INC_DN (p) 	ipc.control( 66584, p )  end 
function _AP_PITCH_REF_INC_UP (p) 	ipc.control( 66583, p )  end 
function _AP_PITCH_REF_SELECT (p) 	ipc.control( 66585, p )  end 
function _AP_SPD_VAR_DEC (p) 	ipc.control( 65897, p )  end 
function _AP_SPD_VAR_INC (p) 	ipc.control( 65896, p )  end 
function _AP_SPD_VAR_SET (p) 	ipc.control( 66037, p )  end 
function _AP_VS_HOLD (p) 	ipc.control( 66099, p )  end 
function _AP_VS_OFF (p) 	ipc.control( 66101, p )  end 
function _AP_VS_ON (p) 	ipc.control( 66100, p )  end 
function _AP_VS_SET (p) 	ipc.control( 66102, p )  end 
function _AP_VS_VAR_DEC (p) 	ipc.control( 65895, p )  end 
function _AP_VS_VAR_INC (p) 	ipc.control( 65894, p )  end 
function _AP_VS_VAR_SET_ENGLISH (p) 	ipc.control( 66036, p )  end 
function _AP_VS_VAR_SET_METRIC (p) 	ipc.control( 66125, p )  end 
function _AP_WING_LEVELER (p) 	ipc.control( 65727, p )  end 
function _AP_WING_LEVELER_OFF (p) 	ipc.control( 65817, p )  end 
function _AP_WING_LEVELER_ON (p) 	ipc.control( 65809, p )  end 
function _APU_EXTINGUISH_FIRE (p) 	ipc.control( 66826, p )  end 
function _APU_GENERATOR_SWITCH_SET (p) 	ipc.control( 66707, p )  end 
function _APU_GENERATOR_SWITCH_TOGGLE (p) 	ipc.control( 66706, p )  end 
function _APU_OFF_SWITCH (p) 	ipc.control( 66705, p )  end 
function _APU_STARTER (p) 	ipc.control( 66704, p )  end 

-- ## A - 6 ##
function _ATC (p) 	ipc.control( 65564, p )  end 
function _ATC_MENU_0 (p) 	ipc.control( 66181, p )  end 
function _ATC_MENU_1 (p) 	ipc.control( 66172, p )  end 
function _ATC_MENU_2 (p) 	ipc.control( 66173, p )  end 
function _ATC_MENU_3 (p) 	ipc.control( 66174, p )  end 
function _ATC_MENU_4 (p) 	ipc.control( 66175, p )  end 
function _ATC_MENU_5 (p) 	ipc.control( 66176, p )  end 
function _ATC_MENU_6 (p) 	ipc.control( 66177, p )  end 
function _ATC_MENU_7 (p) 	ipc.control( 66178, p )  end 
function _ATC_MENU_8 (p) 	ipc.control( 66179, p )  end 
function _ATC_MENU_9 (p) 	ipc.control( 66180, p )  end 
function _ATTITUDE_BARS_POSITION_DOWN (p) 	ipc.control( 66319, p )  end 
function _ATTITUDE_BARS_POSITION_UP (p) 	ipc.control( 66318, p )  end 
function _ATTITUDE_CAGE_BUTTON (p) 	ipc.control( 66373, p )  end 
function _AUTO_THROTTLE_ARM (p) 	ipc.control( 65860, p )  end 
function _AUTO_THROTTLE_TO_GA (p) 	ipc.control( 65861, p )  end 
function _AUTOPILOT_OFF (p) 	ipc.control( 65791, p )  end 
function _AUTOPILOT_ON (p) 	ipc.control( 65792, p )  end 
function _AUTORUDDER_TOGGLE (p) 	ipc.control( 65951, p )  end 
function _AVIONICS_MASTER_SET (p) 	ipc.control( 66701, p )  end 

-- ## A - 7 ##
function _AXIS_AILERONS_SET (p) 	ipc.control( 65763, p )  end 
function _AXIS_ELEV_TRIM_SET (p) 	ipc.control( 65766, p )  end 
function _AXIS_ELEVATOR_SET (p) 	ipc.control( 65762, p )  end 
function _AXIS_FLAPS_SET (p) 	ipc.control( 66534, p )  end 
function _AXIS_IND_SET (p) 	ipc.control( 65702, p )  end 
function _AXIS_LEFT_BRAKE_SET (p) 	ipc.control( 66387, p )  end 
function _AXIS_MIXTURE1_SET (p) 	ipc.control( 66422, p )  end 
function _AXIS_MIXTURE2_SET (p) 	ipc.control( 66425, p )  end 
function _AXIS_MIXTURE3_SET (p) 	ipc.control( 66428, p )  end 
function _AXIS_MIXTURE4_SET (p) 	ipc.control( 66431, p )  end 
function _AXIS_MIXTURE_SET (p) 	ipc.control( 66292, p )  end 
function _AXIS_PAN_HEADING (p) 	ipc.control( 66504, p )  end 
function _AXIS_PAN_PITCH (p) 	ipc.control( 66503, p )  end 
function _AXIS_PAN_TILT (p) 	ipc.control( 66505, p )  end 
function _AXIS_PROPELLER1_SET (p) 	ipc.control( 66421, p )  end 
function _AXIS_PROPELLER2_SET (p) 	ipc.control( 66424, p )  end 
function _AXIS_PROPELLER3_SET (p) 	ipc.control( 66427, p )  end 
function _AXIS_PROPELLER4_SET (p) 	ipc.control( 66430, p )  end 
function _AXIS_PROPELLER_SET (p) 	ipc.control( 66291, p )  end 
function _AXIS_RIGHT_BRAKE_SET (p) 	ipc.control( 66388, p )  end 
function _AXIS_RUDDER_SET (p) 	ipc.control( 65764, p )  end 
function _AXIS_SLEW_AHEAD_SET (p) 	ipc.control( 65867, p )  end 
function _AXIS_SLEW_ALT_SET (p) 	ipc.control( 65870, p )  end 
function _AXIS_SLEW_BANK_SET (p) 	ipc.control( 65871, p )  end 
function _AXIS_SLEW_HEADING_SET (p) 	ipc.control( 65869, p )  end 
function _AXIS_SLEW_PITCH_SET (p) 	ipc.control( 65872, p )  end 
function _AXIS_SLEW_SIDEWAYS_SET (p) 	ipc.control( 65868, p )  end 
function _AXIS_SPOILER_SET (p) 	ipc.control( 66382, p )  end 
function _AXIS_THROTTLE1_SET (p) 	ipc.control( 66420, p )  end 
function _AXIS_THROTTLE2_SET (p) 	ipc.control( 66423, p )  end 
function _AXIS_THROTTLE3_SET (p) 	ipc.control( 66426, p )  end 
function _AXIS_THROTTLE4_SET (p) 	ipc.control( 66429, p )  end 
function _AXIS_THROTTLE_SET (p) 	ipc.control( 65765, p )  end 

-- ## B ##
function _BAROMETRIC (p) 	ipc.control( 65584, p )  end 
function _BAROMETRIC_STD_PRESSURE (p) 	ipc.control( 66846, p )  end 
function _BLEED_AIR_SOURCE_CONTROL_DEC (p) 	ipc.control( 66716, p )  end 
function _BLEED_AIR_SOURCE_CONTROL_INC (p) 	ipc.control( 66715, p )  end 
function _BRAKES (p) 	ipc.control( 65588, p )  end 
function _BRAKES_LEFT (p) 	ipc.control( 65720, p )  end 
function _BRAKES_RIGHT (p) 	ipc.control( 65721, p )  end 

-- ## C - 1 ##
function _CABIN_NO_SMOKING_ALERT_SWITCH_TOGGLE (p) 	ipc.control( 66718, p )  end 
function _CABIN_SEATBELTS_ALERT_SWITCH_TOGGLE (p) 	ipc.control( 66719, p )  end 
function _CAPTURE_SCREENSHOT (p) 	ipc.control( 66733, p )  end 
function _CENTER_AILER_RUDDER (p) 	ipc.control( 65612, p )  end 
function _CENTER_NT361_CHECK (p) 	ipc.control( 65803, p )  end 
function _CHASE_VIEW_TOGGLE (p) 	ipc.control( 66515, p )  end 
function _CHVPP_AP_ALT_WING (p) 	ipc.control( 65802, p )  end 
function _CHVPP_LEFT_HAT_DOWN (p) 	ipc.control( 65801, p )  end 
function _CHVPP_LEFT_HAT_UP (p) 	ipc.control( 65800, p )  end 
function _CLOCK_HOURS_DEC (p) 	ipc.control( 65657, p )  end 
function _CLOCK_HOURS_INC (p) 	ipc.control( 65658, p )  end 
function _CLOCK_HOURS_SET (p) 	ipc.control( 66044, p )  end 
function _CLOCK_MINUTES_DEC (p) 	ipc.control( 65659, p )  end 
function _CLOCK_MINUTES_INC (p) 	ipc.control( 65660, p )  end 
function _CLOCK_MINUTES_SET (p) 	ipc.control( 66045, p )  end 
function _CLOCK_SECONDS_ZERO (p) 	ipc.control( 65661, p )  end 
function _CLOSE_VIEW (p) 	ipc.control( 65824, p )  end 
function _COM1_TRANSMIT_SELECT (p) 	ipc.control( 66463, p )  end 
function _COM2_RADIO_FRACT_DEC (p) 	ipc.control( 66438, p )  end 
function _COM2_RADIO_FRACT_DEC_CARRY (p) 	ipc.control( 66439, p )  end 
function _COM2_RADIO_FRACT_INC (p) 	ipc.control( 66440, p )  end 
function _COM2_RADIO_FRACT_INC_CARRY (p) 	ipc.control( 66441, p )  end 
function _COM2_RADIO_SET (p) 	ipc.control( 66442, p )  end 
function _COM2_RADIO_SWAP (p) 	ipc.control( 66444, p )  end 
function _COM2_RADIO_WHOLE_DEC (p) 	ipc.control( 66436, p )  end 
function _COM2_RADIO_WHOLE_INC (p) 	ipc.control( 66437, p )  end 
function _COM2_STBY_RADIO_SET (p) 	ipc.control( 66443, p )  end 
function _COM2_TRANSMIT_SELECT (p) 	ipc.control( 66464, p )  end 

-- ## C - 2 ##
function _COM_RADIO (p) 	ipc.control( 65582, p )  end 
function _COM_RADIO_FRACT_DEC (p) 	ipc.control( 65638, p )  end 
function _COM_RADIO_FRACT_DEC_CARRY (p) 	ipc.control( 66434, p )  end 
function _COM_RADIO_FRACT_INC (p) 	ipc.control( 65639, p )  end 
function _COM_RADIO_FRACT_INC_CARRY (p) 	ipc.control( 66435, p )  end 
function _COM_RADIO_SET (p) 	ipc.control( 65707, p )  end 
function _COM_RADIO_WHOLE_DEC (p) 	ipc.control( 65636, p )  end 
function _COM_RADIO_WHOLE_INC (p) 	ipc.control( 65637, p )  end 
function _COM_RECEIVE_ALL_SET (p) 	ipc.control( 66466, p )  end 
function _COM_RECEIVE_ALL_TOGGLE (p) 	ipc.control( 66465, p )  end 
function _COM_STBY_RADIO_FRACT_DECREASE (p) 	ipc.control( 66438, p )  end 
function _COM_STBY_RADIO_FRACT_INCREASE (p) 	ipc.control( 66440, p )  end 
function _COM_STBY_RADIO_SET (p) 	ipc.control( 66371, p )  end 
function _COM_STBY_RADIO_SWAP (p) 	ipc.control( 66372, p )  end 
function _COM_STBY_RADIO_WHOLE_DECREASE (p) 	ipc.control( 66436, p )  end 
function _COM_STBY_RADIO_WHOLE_INCREASE (p) 	ipc.control( 66437, p )  end 
function _COWLFLAP1_SET (p) 	ipc.control( 66162, p )  end 
function _COWLFLAP2_SET (p) 	ipc.control( 66163, p )  end 
function _COWLFLAP3_SET (p) 	ipc.control( 66164, p )  end 
function _COWLFLAP4_SET (p) 	ipc.control( 66165, p )  end 
function _CROSS_FEED_LEFT_TO_RIGHT (p) 	ipc.control( 65888, p )  end 
function _CROSS_FEED_OFF (p) 	ipc.control( 65887, p )  end 
function _CROSS_FEED_OPEN (p) 	ipc.control( 66595, p )  end 
function _CROSS_FEED_RIGHT_TO_LEFT (p) 	ipc.control( 65889, p )  end 
function _CROSS_FEED_TOGGLE (p) 	ipc.control( 66596, p )  end 

-- ## D ##
function _DEC_COWL_FLAPS (p) 	ipc.control( 66244, p )  end 
function _DEC_COWL_FLAPS1 (p) 	ipc.control( 66330, p )  end 
function _DEC_COWL_FLAPS2 (p) 	ipc.control( 66332, p )  end 
function _DEC_COWL_FLAPS3 (p) 	ipc.control( 66334, p )  end 
function _DEC_COWL_FLAPS4 (p) 	ipc.control( 66336, p )  end 
function _DECREASE_AUTOBRAKE_CONTROL (p) 	ipc.control( 66299, p )  end 
function _DECREASE_CONCORDE_NOSE_VISOR (p) 	ipc.control( 66295, p )  end 
function _DECREASE_CONCORDE_NOSE_VISOR_FULLY (p) 	ipc.control( 66384, p )  end 
function _DECREASE_DECISION_ALTITUDE_MSL (p) 	ipc.control( 66714, p )  end 
function _DECREASE_DECISION_HEIGHT (p) 	ipc.control( 66322, p )  end 
function _DECREASE_HELO_GOV_BEEP (p) 	ipc.control( 66381, p )  end 
function _DECREASE_THROTTLE (p) 	ipc.control( 65617, p )  end 
function _DEMO_RECORD_1_SEC (p) 	ipc.control( 65543, p )  end 
function _DEMO_RECORD_5_SEC (p) 	ipc.control( 65544, p )  end 
function _DEMO_STOP (p) 	ipc.control( 65537, p )  end 
function _DME (p) 	ipc.control( 65569, p )  end 
function _DME1_TOGGLE (p) 	ipc.control( 65787, p )  end 
function _DME2_TOGGLE (p) 	ipc.control( 65788, p )  end 
function _DME_SELECT (p) 	ipc.control( 66650, p )  end 

-- ## E ##
function _EGT (p) 	ipc.control( 65558, p )  end 
function _EGT1_DEC (p) 	ipc.control( 66082, p )  end 
function _EGT1_INC (p) 	ipc.control( 66081, p )  end 
function _EGT1_SET (p) 	ipc.control( 66083, p )  end 
function _EGT2_DEC (p) 	ipc.control( 66085, p )  end 
function _EGT2_INC (p) 	ipc.control( 66084, p )  end 
function _EGT2_SET (p) 	ipc.control( 66086, p )  end 
function _EGT3_DEC (p) 	ipc.control( 66088, p )  end 
function _EGT3_INC (p) 	ipc.control( 66087, p )  end 
function _EGT3_SET (p) 	ipc.control( 66089, p )  end 
function _EGT4_DEC (p) 	ipc.control( 66091, p )  end 
function _EGT4_INC (p) 	ipc.control( 66090, p )  end 
function _EGT4_SET (p) 	ipc.control( 66092, p )  end 
function _EGT_DEC (p) 	ipc.control( 66033, p )  end 
function _EGT_INC (p) 	ipc.control( 66032, p )  end 
function _EGT_SET (p) 	ipc.control( 66034, p )  end 
function _ELEV_DOWN (p) 	ipc.control( 65608, p )  end 
function _ELEV_TRIM_DN (p) 	ipc.control( 65607, p )  end 
function _ELEV_TRIM_UP (p) 	ipc.control( 65615, p )  end 
function _ELEV_UP (p) 	ipc.control( 65616, p )  end 
function _ELEVATOR_SET (p) 	ipc.control( 65694, p )  end 
function _ELEVATOR_TRIM_SET (p) 	ipc.control( 65706, p )  end 
function _ENGINE (p) 	ipc.control( 65554, p )  end 
function _ENGINE_AUTO_SHUTDOWN (p) 	ipc.control( 66531, p )  end 
function _ENGINE_AUTO_START (p) 	ipc.control( 66224, p )  end 
function _ENGINE_PRIMER (p) 	ipc.control( 66238, p )  end 
function _EXIT (p) 	ipc.control( 65732, p )  end 
function _EXTERNAL_SYSTEM_SET (p) 	ipc.control( 66702, p )  end 
function _EXTERNAL_SYSTEM_TOGGLE (p) 	ipc.control( 66703, p )  end 
function _EXTINGUISH_ENGINE_FIRE (p) 	ipc.control( 66708, p )  end 
function _EYEPOINT_BACK (p) 	ipc.control( 66529, p )  end 
function _EYEPOINT_DOWN (p) 	ipc.control( 66525, p )  end 
function _EYEPOINT_FORWARD (p) 	ipc.control( 66528, p )  end 
function _EYEPOINT_LEFT (p) 	ipc.control( 66527, p )  end 
function _EYEPOINT_RESET (p) 	ipc.control( 66530, p )  end 
function _EYEPOINT_RIGHT (p) 	ipc.control( 66526, p )  end 
function _EYEPOINT_UP (p) 	ipc.control( 66524, p )  end 

-- ## F - 1##
function _FLAPS_1 (p) 	ipc.control( 65597, p )  end 
function _FLAPS_2 (p) 	ipc.control( 65599, p )  end 
function _FLAPS_3 (p) 	ipc.control( 65601, p )  end 
function _FLAPS_DECR (p) 	ipc.control( 65759, p )  end 
function _FLAPS_DOWN (p) 	ipc.control( 65603, p )  end 
function _FLAPS_INCR (p) 	ipc.control( 65758, p )  end 
function _FLAPS_SET (p) 	ipc.control( 65698, p )  end 
function _FLAPS_UP (p) 	ipc.control( 65595, p )  end 
function _FLIGHT_MAP (p) 	ipc.control( 66432, p )  end 
function _FLY_BY_WIRE_ELAC_TOGGLE (p) 	ipc.control( 66737, p )  end 
function _FLY_BY_WIRE_FAC_TOGGLE (p) 	ipc.control( 66738, p )  end 
function _FLY_BY_WIRE_SEC_TOGGLE (p) 	ipc.control( 66739, p )  end 
function _FREEZE_ALTITUDE_SET (p) 	ipc.control( 66834, p )  end 
function _FREEZE_ALTITUDE_TOGGLE (p) 	ipc.control( 66833, p )  end 
function _FREEZE_LATITUDE_LONGITUE_SET (p) 	ipc.control( 66832, p )  end 
function _FREEZE_LATITUDE_LONGITUE_TOGGLE (p) 	ipc.control( 66831, p )  end 
function _FREQUENCY_SWAP (p) 	ipc.control( 65581, p )  end 
function _FUEL_DUMP_TOGGLE (p) 	ipc.control( 66651, p )  end 
function _FUEL_PUMP (p) 	ipc.control( 66237, p )  end 

-- ## F - 2 ##
function _FUEL_SELECTOR_2_ALL (p) 	ipc.control( 66517, p )  end 
function _FUEL_SELECTOR_2_CENTER (p) 	ipc.control( 66522, p )  end 
function _FUEL_SELECTOR_2_LEFT (p) 	ipc.control( 66518, p )  end 
function _FUEL_SELECTOR_2_LEFT_AUX (p) 	ipc.control( 66520, p )  end 
function _FUEL_SELECTOR_2_LEFT_MAIN (p) 	ipc.control( 66670, p )  end 
function _FUEL_SELECTOR_2_OFF (p) 	ipc.control( 66516, p )  end 
function _FUEL_SELECTOR_2_RIGHT (p) 	ipc.control( 66519, p )  end 
function _FUEL_SELECTOR_2_RIGHT_AUX (p) 	ipc.control( 66521, p )  end 
function _FUEL_SELECTOR_2_RIGHT_MAIN (p) 	ipc.control( 66674, p )  end 
function _FUEL_SELECTOR_2_SET (p) 	ipc.control( 66523, p )  end 
function _FUEL_SELECTOR_3_ALL (p) 	ipc.control( 66562, p )  end 
function _FUEL_SELECTOR_3_CENTER (p) 	ipc.control( 66567, p )  end 
function _FUEL_SELECTOR_3_LEFT (p) 	ipc.control( 66563, p )  end 
function _FUEL_SELECTOR_3_LEFT_AUX (p) 	ipc.control( 66565, p )  end 
function _FUEL_SELECTOR_3_LEFT_MAIN (p) 	ipc.control( 66671, p )  end 
function _FUEL_SELECTOR_3_OFF (p) 	ipc.control( 66561, p )  end 
function _FUEL_SELECTOR_3_RIGHT (p) 	ipc.control( 66564, p )  end 
function _FUEL_SELECTOR_3_RIGHT_AUX (p) 	ipc.control( 66566, p )  end 
function _FUEL_SELECTOR_3_RIGHT_MAIN (p) 	ipc.control( 66675, p )  end 
function _FUEL_SELECTOR_3_SET (p) 	ipc.control( 66568, p )  end 
function _FUEL_SELECTOR_4_ALL (p) 	ipc.control( 66570, p )  end 
function _FUEL_SELECTOR_4_CENTER (p) 	ipc.control( 66575, p )  end 
function _FUEL_SELECTOR_4_LEFT (p) 	ipc.control( 66571, p )  end 
function _FUEL_SELECTOR_4_LEFT_AUX (p) 	ipc.control( 66573, p )  end 
function _FUEL_SELECTOR_4_LEFT_MAIN (p) 	ipc.control( 66672, p )  end 
function _FUEL_SELECTOR_4_OFF (p) 	ipc.control( 66569, p )  end 
function _FUEL_SELECTOR_4_RIGHT (p) 	ipc.control( 66572, p )  end 
function _FUEL_SELECTOR_4_RIGHT_AUX (p) 	ipc.control( 66574, p )  end 
function _FUEL_SELECTOR_4_RIGHT_MAIN (p) 	ipc.control( 66676, p )  end 
function _FUEL_SELECTOR_4_SET (p) 	ipc.control( 66576, p )  end 
function _FUEL_SELECTOR_ALL (p) 	ipc.control( 65956, p )  end 
function _FUEL_SELECTOR_CENTER (p) 	ipc.control( 65961, p )  end 
function _FUEL_SELECTOR_LEFT (p) 	ipc.control( 65957, p )  end 
function _FUEL_SELECTOR_LEFT_AUX (p) 	ipc.control( 65959, p )  end 
function _FUEL_SELECTOR_LEFT_MAIN (p) 	ipc.control( 66669, p )  end 
function _FUEL_SELECTOR_OFF (p) 	ipc.control( 65955, p )  end 
function _FUEL_SELECTOR_RIGHT (p) 	ipc.control( 65958, p )  end 
function _FUEL_SELECTOR_RIGHT_AUX (p) 	ipc.control( 65960, p )  end 
function _FUEL_SELECTOR_RIGHT_MAIN (p) 	ipc.control( 66673, p )  end 
function _FUEL_SELECTOR_SET (p) 	ipc.control( 65962, p )  end 

-- ## G - 1 ##
function _G1000_MFD_CLEAR_BUTTON (p) 	ipc.control( 66782, p )  end 
function _G1000_MFD_CURSOR_BUTTON (p) 	ipc.control( 66784, p )  end 
function _G1000_MFD_DIRECTTO_BUTTON (p) 	ipc.control( 66778, p )  end 
function _G1000_MFD_ENTER_BUTTON (p) 	ipc.control( 66783, p )  end 
function _G1000_MFD_FLIGHTPLAN_BUTTON (p) 	ipc.control( 66780, p )  end 
function _G1000_MFD_GROUP_KNOB_DEC (p) 	ipc.control( 66786, p )  end 
function _G1000_MFD_GROUP_KNOB_INC (p) 	ipc.control( 66785, p )  end 
function _G1000_MFD_MENU_BUTTON (p) 	ipc.control( 66779, p )  end 
function _G1000_MFD_PAGE_KNOB_DEC (p) 	ipc.control( 66788, p )  end 
function _G1000_MFD_PAGE_KNOB_INC (p) 	ipc.control( 66787, p )  end 
function _G1000_MFD_PROCEDURE_BUTTON (p) 	ipc.control( 66781, p )  end 
function _G1000_MFD_SOFTKEY1 (p) 	ipc.control( 66789, p )  end 
function _G1000_MFD_SOFTKEY10 (p) 	ipc.control( 66798, p )  end 
function _G1000_MFD_SOFTKEY11 (p) 	ipc.control( 66799, p )  end 
function _G1000_MFD_SOFTKEY12 (p) 	ipc.control( 66800, p )  end 
function _G1000_MFD_SOFTKEY2 (p) 	ipc.control( 66790, p )  end 
function _G1000_MFD_SOFTKEY3 (p) 	ipc.control( 66791, p )  end 
function _G1000_MFD_SOFTKEY4 (p) 	ipc.control( 66792, p )  end 
function _G1000_MFD_SOFTKEY5 (p) 	ipc.control( 66793, p )  end 
function _G1000_MFD_SOFTKEY6 (p) 	ipc.control( 66794, p )  end 
function _G1000_MFD_SOFTKEY7 (p) 	ipc.control( 66795, p )  end 
function _G1000_MFD_SOFTKEY8 (p) 	ipc.control( 66796, p )  end 
function _G1000_MFD_SOFTKEY9 (p) 	ipc.control( 66797, p )  end 
function _G1000_MFD_ZOOMIN_BUTTON (p) 	ipc.control( 66776, p )  end 
function _G1000_MFD_ZOOMOUT_BUTTON (p) 	ipc.control( 66777, p )  end 
function _G1000_PFD_CLEAR_BUTTON (p) 	ipc.control( 66754, p )  end 
function _G1000_PFD_CURSOR_BUTTON (p) 	ipc.control( 66756, p )  end 
function _G1000_PFD_DIRECTTO_BUTTON (p) 	ipc.control( 66750, p )  end 
function _G1000_PFD_ENTER_BUTTON (p) 	ipc.control( 66755, p )  end 
function _G1000_PFD_FLIGHTPLAN_BUTTON (p) 	ipc.control( 66752, p )  end 
function _G1000_PFD_GROUP_KNOB_DEC (p) 	ipc.control( 66758, p )  end 
function _G1000_PFD_GROUP_KNOB_INC (p) 	ipc.control( 66757, p )  end 
function _G1000_PFD_MENU_BUTTON (p) 	ipc.control( 66751, p )  end 
function _G1000_PFD_PAGE_KNOB_DEC (p) 	ipc.control( 66760, p )  end 
function _G1000_PFD_PAGE_KNOB_INC (p) 	ipc.control( 66759, p )  end 
function _G1000_PFD_PROCEDURE_BUTTON (p) 	ipc.control( 66753, p )  end 
function _G1000_PFD_SOFTKEY1 (p) 	ipc.control( 66761, p )  end 
function _G1000_PFD_SOFTKEY10 (p) 	ipc.control( 66770, p )  end 
function _G1000_PFD_SOFTKEY11 (p) 	ipc.control( 66771, p )  end 
function _G1000_PFD_SOFTKEY12 (p) 	ipc.control( 66772, p )  end 
function _G1000_PFD_SOFTKEY2 (p) 	ipc.control( 66762, p )  end 
function _G1000_PFD_SOFTKEY3 (p) 	ipc.control( 66763, p )  end 
function _G1000_PFD_SOFTKEY4 (p) 	ipc.control( 66764, p )  end 
function _G1000_PFD_SOFTKEY5 (p) 	ipc.control( 66765, p )  end 
function _G1000_PFD_SOFTKEY6 (p) 	ipc.control( 66766, p )  end 
function _G1000_PFD_SOFTKEY7 (p) 	ipc.control( 66767, p )  end 
function _G1000_PFD_SOFTKEY8 (p) 	ipc.control( 66768, p )  end 
function _G1000_PFD_SOFTKEY9 (p) 	ipc.control( 66769, p )  end 
function _G1000_PFD_ZOOMIN_BUTTON (p) 	ipc.control( 66748, p )  end 
function _G1000_PFD_ZOOMOUT_BUTTON (p) 	ipc.control( 66749, p )  end 

-- ## G - 2 ##
function _GAUGE_KEYSTROKE (p) 	ipc.control( 66683, p )  end 
function _GEAR_DOWN (p) 	ipc.control( 66080, p )  end 
function _GEAR_EMERGENCY_HANDLE_TOGGLE (p) 	ipc.control( 66726, p )  end 
function _GEAR_PUMP (p) 	ipc.control( 65852, p )  end 
function _GEAR_SET (p) 	ipc.control( 65700, p )  end 
function _GEAR_TOGGLE (p) 	ipc.control( 65570, p )  end 
function _GEAR_UP (p) 	ipc.control( 66079, p )  end 
function _GPS_ACTIVATE_BUTTON (p) 	ipc.control( 66614, p )  end 
function _GPS_BUTTON1 (p) 	ipc.control( 66629, p )  end 
function _GPS_BUTTON2 (p) 	ipc.control( 66630, p )  end 
function _GPS_BUTTON3 (p) 	ipc.control( 66631, p )  end 
function _GPS_BUTTON4 (p) 	ipc.control( 66632, p )  end 
function _GPS_BUTTON5 (p) 	ipc.control( 66633, p )  end 
function _GPS_CLEAR_ALL_BUTTON (p) 	ipc.control( 66620, p )  end 
function _GPS_CLEAR_BUTTON (p) 	ipc.control( 66619, p )  end 
function _GPS_CLEAR_BUTTON_DOWN (p) 	ipc.control( 66621, p )  end 
function _GPS_CLEAR_BUTTON_UP (p) 	ipc.control( 66622, p )  end 
function _GPS_CURSOR_BUTTON (p) 	ipc.control( 66624, p )  end 
function _GPS_DIRECTTO_BUTTON (p) 	ipc.control( 66617, p )  end 
function _GPS_ENTER_BUTTON (p) 	ipc.control( 66623, p )  end 
function _GPS_FLIGHTPLAN_BUTTON (p) 	ipc.control( 66609, p )  end 
function _GPS_GROUP_KNOB_DEC (p) 	ipc.control( 66626, p )  end 
function _GPS_GROUP_KNOB_INC (p) 	ipc.control( 66625, p )  end 
function _GPS_MENU_BUTTON (p) 	ipc.control( 66618, p )  end 
function _GPS_MSG_BUTTON (p) 	ipc.control( 66606, p )  end 
function _GPS_MSG_BUTTON_DOWN (p) 	ipc.control( 66607, p )  end 
function _GPS_MSG_BUTTON_UP (p) 	ipc.control( 66608, p )  end 
function _GPS_NEAREST_BUTTON (p) 	ipc.control( 66604, p )  end 
function _GPS_OBS_BUTTON (p) 	ipc.control( 66605, p )  end 
function _GPS_PAGE_KNOB_DEC (p) 	ipc.control( 66628, p )  end 
function _GPS_PAGE_KNOB_INC (p) 	ipc.control( 66627, p )  end 
function _GPS_POWER_BUTTON (p) 	ipc.control( 66602, p )  end 
function _GPS_PROCEDURE_BUTTON (p) 	ipc.control( 66612, p )  end 
function _GPS_SETUP_BUTTON (p) 	ipc.control( 66613, p )  end 
function _GPS_TERRAIN_BUTTON (p) 	ipc.control( 66611, p )  end 
function _GPS_VNAV_BUTTON (p) 	ipc.control( 66610, p )  end 
function _GPS_ZOOMIN_BUTTON (p) 	ipc.control( 66615, p )  end 
function _GPS_ZOOMOUT_BUTTON (p) 	ipc.control( 66616, p )  end 
function _GPWS_SWITCH_TOGGLE (p) 	ipc.control( 66721, p )  end 
function _GYRO_DRIFT_DEC (p) 	ipc.control( 65878, p )  end 
function _GYRO_DRIFT_INC (p) 	ipc.control( 65877, p )  end 
function _GYRO_DRIFT_SET (p) 	ipc.control( 66046, p )  end 

-- ## H ##
function _HEADING_BUG_DEC (p) 	ipc.control( 65880, p )  end 
function _HEADING_BUG_INC (p) 	ipc.control( 65879, p )  end 
function _HEADING_BUG_SELECT (p) 	ipc.control( 66509, p )  end 
function _HEADING_BUG_SET (p) 	ipc.control( 66042, p )  end 
function _HEADING_GYRO_SET (p) 	ipc.control( 65568, p )  end 
function _HORN_TRIGGER (p) 	ipc.control( 66652, p )  end 
function _HUD_COLOR (p) 	ipc.control( 66210, p )  end 
function _HYDRAULIC_SWITCH_TOGGLE (p) 	ipc.control( 66712, p )  end 

-- ## I - J ##
function _INC_COWL_FLAPS (p) 	ipc.control( 66243, p )  end 
function _INC_COWL_FLAPS1 (p) 	ipc.control( 66329, p )  end 
function _INC_COWL_FLAPS2 (p) 	ipc.control( 66331, p )  end 
function _INC_COWL_FLAPS3 (p) 	ipc.control( 66333, p )  end 
function _INC_COWL_FLAPS4 (p) 	ipc.control( 66335, p )  end 
function _INCREASE_AUTOBRAKE_CONTROL (p) 	ipc.control( 66298, p )  end 
function _INCREASE_CONCORDE_NOSE_VISOR (p) 	ipc.control( 66294, p )  end 
function _INCREASE_CONCORDE_NOSE_VISOR_FULLY (p) 	ipc.control( 66383, p )  end 
function _INCREASE_DECISION_ALTITUDE_MSL (p) 	ipc.control( 66713, p )  end 
function _INCREASE_DECISION_HEIGHT (p) 	ipc.control( 66321, p )  end 
function _INCREASE_HELO_GOV_BEEP (p) 	ipc.control( 66380, p )  end 
function _INCREASE_THROTTLE (p) 	ipc.control( 65609, p )  end 
function _INDUCTOR_COMPASS_REF_DEC (p) 	ipc.control( 66578, p )  end 
function _INDUCTOR_COMPASS_REF_INC (p) 	ipc.control( 66577, p )  end 
function _INVOKE_HELP (p) 	ipc.control( 66195, p )  end 
function _JET_STARTER (p) 	ipc.control( 65572, p )  end 
function _JOYSTICK_CALIBRATE (p) 	ipc.control( 65573, p )  end 

-- ## K - L ##
function _KEY_CHASE_VIEW_NEXT (p) 	ipc.control( 66500, p )  end 
function _KEY_CHASE_VIEW_PREV (p) 	ipc.control( 66501, p )  end 
function _KEY_TUG_HEADING (p) 	ipc.control( 66498, p )  end 
function _KEY_TUG_SPEED (p) 	ipc.control( 66499, p )  end 
function _KNEEBOARD_VIEW (p) 	ipc.control( 65876, p )  end 
function _KOHLSMAN_DEC (p) 	ipc.control( 65884, p )  end 
function _KOHLSMAN_INC (p) 	ipc.control( 65883, p )  end 
function _KOHLSMAN_SET (p) 	ipc.control( 66040, p )  end 
function _LANDING_LIGHT_DOWN (p) 	ipc.control( 65863, p )  end 
function _LANDING_LIGHT_HOME (p) 	ipc.control( 65866, p )  end 
function _LANDING_LIGHT_LEFT (p) 	ipc.control( 65864, p )  end 
function _LANDING_LIGHT_RIGHT (p) 	ipc.control( 65865, p )  end 
function _LANDING_LIGHT_UP (p) 	ipc.control( 65862, p )  end 
function _LANDING_LIGHTS_OFF (p) 	ipc.control( 66060, p )  end 
function _LANDING_LIGHTS_ON (p) 	ipc.control( 66059, p )  end 
function _LANDING_LIGHTS_SET (p) 	ipc.control( 66061, p )  end 
function _LANDING_LIGHTS_TOGGLE (p) 	ipc.control( 65751, p )  end 
function _LETTERBOX (p) 	ipc.control( 66223, p )  end 

-- ## M - 1 ##
function _MACRO_BEGIN (p) 	ipc.control( 65546, p )  end 
function _MACRO_END (p) 	ipc.control( 65547, p )  end 
function _MAGNETO (p) 	ipc.control( 65586, p )  end 
function _MAGNETO1_BOTH (p) 	ipc.control( 65930, p )  end 
function _MAGNETO1_DECR (p) 	ipc.control( 66126, p )  end 
function _MAGNETO1_INCR (p) 	ipc.control( 66127, p )  end 
function _MAGNETO1_LEFT (p) 	ipc.control( 65929, p )  end 
function _MAGNETO1_OFF (p) 	ipc.control( 65927, p )  end 
function _MAGNETO1_RIGHT (p) 	ipc.control( 65928, p )  end 
function _MAGNETO1_SET (p) 	ipc.control( 66400, p )  end 
function _MAGNETO1_START (p) 	ipc.control( 65931, p )  end 
function _MAGNETO2_BOTH (p) 	ipc.control( 65936, p )  end 
function _MAGNETO2_DECR (p) 	ipc.control( 66128, p )  end 
function _MAGNETO2_INCR (p) 	ipc.control( 66129, p )  end 
function _MAGNETO2_LEFT (p) 	ipc.control( 65935, p )  end 
function _MAGNETO2_OFF (p) 	ipc.control( 65933, p )  end 
function _MAGNETO2_RIGHT (p) 	ipc.control( 65934, p )  end 
function _MAGNETO2_SET (p) 	ipc.control( 66401, p )  end 
function _MAGNETO2_START (p) 	ipc.control( 65937, p )  end 
function _MAGNETO3_BOTH (p) 	ipc.control( 65942, p )  end 
function _MAGNETO3_DECR (p) 	ipc.control( 66130, p )  end 
function _MAGNETO3_INCR (p) 	ipc.control( 66131, p )  end 
function _MAGNETO3_LEFT (p) 	ipc.control( 65941, p )  end 
function _MAGNETO3_OFF (p) 	ipc.control( 65939, p )  end 
function _MAGNETO3_RIGHT (p) 	ipc.control( 65940, p )  end 
function _MAGNETO3_SET (p) 	ipc.control( 66402, p )  end 
function _MAGNETO3_START (p) 	ipc.control( 65943, p )  end 
function _MAGNETO4_BOTH (p) 	ipc.control( 65948, p )  end 
function _MAGNETO4_DECR (p) 	ipc.control( 66132, p )  end 
function _MAGNETO4_INCR (p) 	ipc.control( 66133, p )  end 
function _MAGNETO4_LEFT (p) 	ipc.control( 65947, p )  end 
function _MAGNETO4_OFF (p) 	ipc.control( 65945, p )  end 
function _MAGNETO4_RIGHT (p) 	ipc.control( 65946, p )  end 
function _MAGNETO4_SET (p) 	ipc.control( 66403, p )  end 
function _MAGNETO4_START (p) 	ipc.control( 65949, p )  end 
function _MAGNETO_BOTH (p) 	ipc.control( 66026, p )  end 
function _MAGNETO_DECR (p) 	ipc.control( 65634, p )  end 
function _MAGNETO_INCR (p) 	ipc.control( 65635, p )  end 
function _MAGNETO_LEFT (p) 	ipc.control( 66025, p )  end 
function _MAGNETO_OFF (p) 	ipc.control( 66023, p )  end 
function _MAGNETO_RIGHT (p) 	ipc.control( 66024, p )  end 
function _MAGNETO_SET (p) 	ipc.control( 66028, p )  end 
function _MAGNETO_START (p) 	ipc.control( 66027, p )  end 

-- ## M - 2 ##
function _MANUAL_FUEL_PRESSURE_PUMP (p) 	ipc.control( 66740, p )  end 
function _MANUAL_FUEL_TRANSFER (p) 	ipc.control( 66582, p )  end 
function _MAP_ZOOM_FINE_IN (p) 	ipc.control( 65670, p )  end 
function _MAP_ZOOM_FINE_OUT (p) 	ipc.control( 65673, p )  end 
function _MARKER_SOUND_TOGGLE (p) 	ipc.control( 66477, p )  end 
function _MINUS (p) 	ipc.control( 65548, p )  end 
function _MINUS_SHIFT (p) 	ipc.control( 65756, p )  end 
function _MIXTURE1_DECR (p) 	ipc.control( 65986, p )  end 
function _MIXTURE1_DECR_SMALL (p) 	ipc.control( 66645, p )  end 
function _MIXTURE1_INCR (p) 	ipc.control( 65984, p )  end 
function _MIXTURE1_INCR_SMALL (p) 	ipc.control( 65985, p )  end 
function _MIXTURE1_LEAN (p) 	ipc.control( 65987, p )  end 
function _MIXTURE1_RICH (p) 	ipc.control( 65983, p )  end 
function _MIXTURE1_SET (p) 	ipc.control( 65919, p )  end 
function _MIXTURE2_DECR (p) 	ipc.control( 65991, p )  end 
function _MIXTURE2_DECR_SMALL (p) 	ipc.control( 66646, p )  end 
function _MIXTURE2_INCR (p) 	ipc.control( 65989, p )  end 
function _MIXTURE2_INCR_SMALL (p) 	ipc.control( 65990, p )  end 
function _MIXTURE2_LEAN (p) 	ipc.control( 65992, p )  end 
function _MIXTURE2_RICH (p) 	ipc.control( 65988, p )  end 
function _MIXTURE2_SET (p) 	ipc.control( 65920, p )  end 
function _MIXTURE3_DECR (p) 	ipc.control( 65996, p )  end 
function _MIXTURE3_DECR_SMALL (p) 	ipc.control( 66647, p )  end 
function _MIXTURE3_INCR (p) 	ipc.control( 65994, p )  end 
function _MIXTURE3_INCR_SMALL (p) 	ipc.control( 65995, p )  end 
function _MIXTURE3_LEAN (p) 	ipc.control( 65997, p )  end 
function _MIXTURE3_RICH (p) 	ipc.control( 65993, p )  end 
function _MIXTURE3_SET (p) 	ipc.control( 65921, p )  end 
function _MIXTURE4_DECR (p) 	ipc.control( 66001, p )  end 
function _MIXTURE4_DECR_SMALL (p) 	ipc.control( 66648, p )  end 
function _MIXTURE4_INCR (p) 	ipc.control( 65999, p )  end 
function _MIXTURE4_INCR_SMALL (p) 	ipc.control( 66000, p )  end 
function _MIXTURE4_LEAN (p) 	ipc.control( 66002, p )  end 
function _MIXTURE4_RICH (p) 	ipc.control( 65998, p )  end 
function _MIXTURE4_SET (p) 	ipc.control( 65922, p )  end 
function _MIXTURE_DECR (p) 	ipc.control( 65777, p )  end 
function _MIXTURE_DECR_SMALL (p) 	ipc.control( 66644, p )  end 
function _MIXTURE_INCR (p) 	ipc.control( 65775, p )  end 
function _MIXTURE_INCR_SMALL (p) 	ipc.control( 65776, p )  end 
function _MIXTURE_LEAN (p) 	ipc.control( 65778, p )  end 
function _MIXTURE_RICH (p) 	ipc.control( 65774, p )  end 
function _MIXTURE_SET (p) 	ipc.control( 65773, p )  end 
function _MIXTURE_SET_BEST (p) 	ipc.control( 66600, p )  end 

-- ## M - 3 ##
function _MOUSE_AS_YOKE_TOGGLE (p) 	ipc.control( 65619, p )  end 
function _MOUSE_LOOK_TOGGLE (p) 	ipc.control( 66734, p )  end 
function _MP_ACTIVATE_CHAT (p) 	ipc.control( 65905, p )  end 
function _MP_BROADCAST_VOICE_CAPTURE_START (p) 	ipc.control( 66735, p )  end 
function _MP_BROADCAST_VOICE_CAPTURE_STOP (p) 	ipc.control( 66736, p )  end 
function _MP_CHAT (p) 	ipc.control( 65904, p )  end 
function _MP_PAUSE_SESSION (p) 	ipc.control( 66847, p )  end 
function _MP_PLAYER_CYCLE (p) 	ipc.control( 65902, p )  end 
function _MP_PLAYER_FOLLOW (p) 	ipc.control( 65903, p )  end 
function _MP_TRANSFER_CONTROL (p) 	ipc.control( 65901, p )  end 
function _MP_VOICE_CAPTURE_START (p) 	ipc.control( 66684, p )  end 
function _MP_VOICE_CAPTURE_STOP (p) 	ipc.control( 66685, p )  end 

-- ## N ##
function _NAV1_RADIO_FRACT_DEC (p) 	ipc.control( 65642, p )  end 
function _NAV1_RADIO_FRACT_DEC_CARRY (p) 	ipc.control( 66445, p )  end 
function _NAV1_RADIO_FRACT_INC (p) 	ipc.control( 65643, p )  end 
function _NAV1_RADIO_FRACT_INC_CARRY (p) 	ipc.control( 66446, p )  end 
function _NAV1_RADIO_SET (p) 	ipc.control( 65708, p )  end 
function _NAV1_RADIO_SWAP (p) 	ipc.control( 66448, p )  end 
function _NAV1_RADIO_WHOLE_DEC (p) 	ipc.control( 65640, p )  end 
function _NAV1_RADIO_WHOLE_INC (p) 	ipc.control( 65641, p )  end 
function _NAV1_STBY_SET (p) 	ipc.control( 66447, p )  end 
function _NAV2_RADIO_FRACT_DEC (p) 	ipc.control( 65646, p )  end 
function _NAV2_RADIO_FRACT_DEC_CARRY (p) 	ipc.control( 66449, p )  end 
function _NAV2_RADIO_FRACT_INC (p) 	ipc.control( 65647, p )  end 
function _NAV2_RADIO_FRACT_INC_CARRY (p) 	ipc.control( 66450, p )  end 
function _NAV2_RADIO_SET (p) 	ipc.control( 65709, p )  end 
function _NAV2_RADIO_SWAP (p) 	ipc.control( 66452, p )  end 
function _NAV2_RADIO_WHOLE_DEC (p) 	ipc.control( 65644, p )  end 
function _NAV2_RADIO_WHOLE_INC (p) 	ipc.control( 65645, p )  end 
function _NAV2_STBY_SET (p) 	ipc.control( 66451, p )  end 
function _NAV_RADIO (p) 	ipc.control( 65585, p )  end 
function _NEW_MAP (p) 	ipc.control( 65826, p )  end 
function _NEW_VIEW (p) 	ipc.control( 65825, p )  end 
function _NEXT_SUB_VIEW (p) 	ipc.control( 66153, p )  end 
function _NEXT_VIEW (p) 	ipc.control( 65827, p )  end 

-- ## P - 1 ##
function _PAN_DOWN (p) 	ipc.control( 65735, p )  end 
function _PAN_LEFT (p) 	ipc.control( 65671, p )  end 
function _PAN_LEFT_DOWN (p) 	ipc.control( 65855, p )  end 
function _PAN_LEFT_UP (p) 	ipc.control( 65854, p )  end 
function _PAN_RESET (p) 	ipc.control( 65875, p )  end 
function _PAN_RESET_COCKPIT (p) 	ipc.control( 66415, p )  end 
function _PAN_RIGHT (p) 	ipc.control( 65672, p )  end 
function _PAN_RIGHT_DOWN (p) 	ipc.control( 65857, p )  end 
function _PAN_RIGHT_UP (p) 	ipc.control( 65856, p )  end 
function _PAN_TILT_LEFT (p) 	ipc.control( 65873, p )  end 
function _PAN_TILT_RIGHT (p) 	ipc.control( 65874, p )  end 
function _PAN_UP (p) 	ipc.control( 65734, p )  end 
function _PAN_VIEW (p) 	ipc.control( 66416, p )  end 
function _PANEL_1 (p) 	ipc.control( 65906, p )  end 
function _PANEL_2 (p) 	ipc.control( 65907, p )  end 
function _PANEL_3 (p) 	ipc.control( 65908, p )  end 
function _PANEL_4 (p) 	ipc.control( 65909, p )  end 
function _PANEL_5 (p) 	ipc.control( 65910, p )  end 
function _PANEL_6 (p) 	ipc.control( 65911, p )  end 
function _PANEL_7 (p) 	ipc.control( 65912, p )  end 
function _PANEL_8 (p) 	ipc.control( 65913, p )  end 
function _PANEL_9 (p) 	ipc.control( 65914, p )  end 
function _PANEL_HUD_NEXT (p) 	ipc.control( 66404, p )  end 
function _PANEL_HUD_PREVIOUS (p) 	ipc.control( 66407, p )  end 
function _PANEL_ID_CLOSE (p) 	ipc.control( 66508, p )  end 
function _PANEL_ID_OPEN (p) 	ipc.control( 66507, p )  end 
function _PANEL_ID_TOGGLE (p) 	ipc.control( 66506, p )  end 
function _PANEL_LIGHTS_OFF (p) 	ipc.control( 66057, p )  end 
function _PANEL_LIGHTS_ON (p) 	ipc.control( 66056, p )  end 
function _PANEL_LIGHTS_SET (p) 	ipc.control( 66058, p )  end 
function _PANEL_LIGHTS_TOGGLE (p) 	ipc.control( 65750, p )  end 

-- ## P - 2 ##
function _PARKING_BRAKES (p) 	ipc.control( 65752, p )  end 
function _PAUSE_OFF (p) 	ipc.control( 65795, p )  end 
function _PAUSE_ON (p) 	ipc.control( 65794, p )  end 
function _PAUSE_SET (p) 	ipc.control( 66055, p )  end 
function _PAUSE_TOGGLE (p) 	ipc.control( 65561, p )  end 
function _PITOT_HEAT_OFF (p) 	ipc.control( 66073, p )  end 
function _PITOT_HEAT_ON (p) 	ipc.control( 66072, p )  end 
function _PITOT_HEAT_SET (p) 	ipc.control( 66074, p )  end 
function _PITOT_HEAT_TOGGLE (p) 	ipc.control( 65858, p )  end 
function _PLUS (p) 	ipc.control( 65549, p )  end 
function _PLUS_SHIFT (p) 	ipc.control( 65757, p )  end 
function _POINT_OF_INTEREST_CYCLE_NEXT (p) 	ipc.control( 66694, p )  end 
function _POINT_OF_INTEREST_CYCLE_PREVIOUS (p) 	ipc.control( 66693, p )  end 
function _POINT_OF_INTEREST_TOGGLE_POINTER (p) 	ipc.control( 66692, p )  end 
function _PRESSURIZATION_CLIMB_RATE_DEC (p) 	ipc.control( 66839, p )  end 
function _PRESSURIZATION_CLIMB_RATE_INC (p) 	ipc.control( 66838, p )  end 
function _PRESSURIZATION_PRESSURE_ALT_DEC (p) 	ipc.control( 66837, p )  end 
function _PRESSURIZATION_PRESSURE_ALT_INC (p) 	ipc.control( 66836, p )  end 
function _PRESSURIZATION_PRESSURE_DUMP_SWITCH (p) 	ipc.control( 66841, p )  end 
function _PREV_SUB_VIEW (p) 	ipc.control( 66154, p )  end 
function _PREV_VIEW (p) 	ipc.control( 65828, p )  end 

-- ## P - 3 ##
function _PROP_PITCH1_DECR (p) 	ipc.control( 66006, p )  end 
function _PROP_PITCH1_DECR_SMALL (p) 	ipc.control( 66640, p )  end 
function _PROP_PITCH1_HI (p) 	ipc.control( 66007, p )  end 
function _PROP_PITCH1_INCR (p) 	ipc.control( 66004, p )  end 
function _PROP_PITCH1_INCR_SMALL (p) 	ipc.control( 66005, p )  end 
function _PROP_PITCH1_LO (p) 	ipc.control( 66003, p )  end 
function _PROP_PITCH1_SET (p) 	ipc.control( 65923, p )  end 
function _PROP_PITCH2_DECR (p) 	ipc.control( 66011, p )  end 
function _PROP_PITCH2_DECR_SMALL (p) 	ipc.control( 66641, p )  end 
function _PROP_PITCH2_HI (p) 	ipc.control( 66012, p )  end 
function _PROP_PITCH2_INCR (p) 	ipc.control( 66009, p )  end 
function _PROP_PITCH2_INCR_SMALL (p) 	ipc.control( 66010, p )  end 
function _PROP_PITCH2_LO (p) 	ipc.control( 66008, p )  end 
function _PROP_PITCH2_SET (p) 	ipc.control( 65924, p )  end 
function _PROP_PITCH3_DECR (p) 	ipc.control( 66016, p )  end 
function _PROP_PITCH3_DECR_SMALL (p) 	ipc.control( 66642, p )  end 
function _PROP_PITCH3_HI (p) 	ipc.control( 66017, p )  end 
function _PROP_PITCH3_INCR (p) 	ipc.control( 66014, p )  end 
function _PROP_PITCH3_INCR_SMALL (p) 	ipc.control( 66015, p )  end 
function _PROP_PITCH3_LO (p) 	ipc.control( 66013, p )  end 
function _PROP_PITCH3_SET (p) 	ipc.control( 65925, p )  end 
function _PROP_PITCH4_DECR (p) 	ipc.control( 66021, p )  end 
function _PROP_PITCH4_DECR_SMALL (p) 	ipc.control( 66643, p )  end 
function _PROP_PITCH4_HI (p) 	ipc.control( 66022, p )  end 
function _PROP_PITCH4_INCR (p) 	ipc.control( 66019, p )  end 
function _PROP_PITCH4_INCR_SMALL (p) 	ipc.control( 66020, p )  end 
function _PROP_PITCH4_LO (p) 	ipc.control( 66018, p )  end 
function _PROP_PITCH4_SET (p) 	ipc.control( 65926, p )  end 
function _PROP_PITCH_DECR (p) 	ipc.control( 65771, p )  end 
function _PROP_PITCH_DECR_SMALL (p) 	ipc.control( 66639, p )  end 
function _PROP_PITCH_HI (p) 	ipc.control( 65772, p )  end 
function _PROP_PITCH_INCR (p) 	ipc.control( 65769, p )  end 
function _PROP_PITCH_INCR_SMALL (p) 	ipc.control( 65770, p )  end 
function _PROP_PITCH_LO (p) 	ipc.control( 65768, p )  end 
function _PROP_PITCH_SET (p) 	ipc.control( 65767, p )  end 

-- ## R - 1 ##
function _RADIO_ADF2_IDENT_DISABLE (p) 	ipc.control( 66557, p )  end 
function _RADIO_ADF2_IDENT_ENABLE (p) 	ipc.control( 66558, p )  end 
function _RADIO_ADF2_IDENT_SET (p) 	ipc.control( 66560, p )  end 
function _RADIO_ADF2_IDENT_TOGGLE (p) 	ipc.control( 66559, p )  end 
function _RADIO_ADF_IDENT_DISABLE (p) 	ipc.control( 65836, p )  end 
function _RADIO_ADF_IDENT_ENABLE (p) 	ipc.control( 65841, p )  end 
function _RADIO_ADF_IDENT_SET (p) 	ipc.control( 65851, p )  end 
function _RADIO_ADF_IDENT_TOGGLE (p) 	ipc.control( 65846, p )  end 
function _RADIO_DME1_IDENT_DISABLE (p) 	ipc.control( 65834, p )  end 
function _RADIO_DME1_IDENT_ENABLE (p) 	ipc.control( 65839, p )  end 
function _RADIO_DME1_IDENT_SET (p) 	ipc.control( 65849, p )  end 
function _RADIO_DME1_IDENT_TOGGLE (p) 	ipc.control( 65844, p )  end 
function _RADIO_DME2_IDENT_DISABLE (p) 	ipc.control( 65835, p )  end 
function _RADIO_DME2_IDENT_ENABLE (p) 	ipc.control( 65840, p )  end 
function _RADIO_DME2_IDENT_SET (p) 	ipc.control( 65850, p )  end 
function _RADIO_DME2_IDENT_TOGGLE (p) 	ipc.control( 65845, p )  end 
function _RADIO_SELECTED_DME_IDENT_DISABLE (p) 	ipc.control( 66666, p )  end 
function _RADIO_SELECTED_DME_IDENT_ENABLE (p) 	ipc.control( 66665, p )  end 
function _RADIO_SELECTED_DME_IDENT_SET (p) 	ipc.control( 66667, p )  end 
function _RADIO_SELECTED_DME_IDENT_TOGGLE (p) 	ipc.control( 66668, p )  end 
function _RADIO_VOR1_IDENT_DISABLE (p) 	ipc.control( 65832, p )  end 
function _RADIO_VOR1_IDENT_ENABLE (p) 	ipc.control( 65837, p )  end 
function _RADIO_VOR1_IDENT_SET (p) 	ipc.control( 65847, p )  end 
function _RADIO_VOR1_IDENT_TOGGLE (p) 	ipc.control( 65842, p )  end 
function _RADIO_VOR2_IDENT_DISABLE (p) 	ipc.control( 65833, p )  end 
function _RADIO_VOR2_IDENT_ENABLE (p) 	ipc.control( 65838, p )  end 
function _RADIO_VOR2_IDENT_SET (p) 	ipc.control( 65848, p )  end 
function _RADIO_VOR2_IDENT_TOGGLE (p) 	ipc.control( 65843, p )  end 

-- ## R - 2 ##
function _READOUTS_FLIGHT (p) 	ipc.control( 65737, p )  end 
function _READOUTS_SLEW (p) 	ipc.control( 65736, p )  end 
function _REFRESH_SCENERY (p) 	ipc.control( 65562, p )  end 
function _RELEASE_DROP_TANK_1 (p) 	ipc.control( 66393, p )  end 
function _RELEASE_DROP_TANK_2 (p) 	ipc.control( 66394, p )  end 
function _RELEASE_DROP_TANK_ALL (p) 	ipc.control( 66392, p )  end 
function _RELEASE_DROPPABLE_OBJECTS (p) 	ipc.control( 66658, p )  end 
function _RELOAD_PANELS (p) 	ipc.control( 66492, p )  end 
function _RELOAD_USER_AIRCRAFT (p) 	ipc.control( 66512, p )  end 
function _REPAIR_AND_REFUEL (p) 	ipc.control( 66649, p )  end 
function _REQUEST_FUEL_KEY (p) 	ipc.control( 66657, p )  end 
function _RESET_G_FORCE_INDICATOR (p) 	ipc.control( 66580, p )  end 
function _RESET_MAX_RPM_INDICATOR (p) 	ipc.control( 66581, p )  end 
function _RETRACT_FLOAT_SWITCH_DEC (p) 	ipc.control( 66696, p )  end 
function _RETRACT_FLOAT_SWITCH_INC (p) 	ipc.control( 66697, p )  end 
function _ROTOR_BRAKE (p) 	ipc.control( 66587, p )  end 
function _ROTOR_CLUTCH_SWITCH_SET (p) 	ipc.control( 66589, p )  end 
function _ROTOR_CLUTCH_SWITCH_TOGGLE (p) 	ipc.control( 66588, p )  end 
function _ROTOR_GOV_SWITCH_SET (p) 	ipc.control( 66591, p )  end 
function _ROTOR_GOV_SWITCH_TOGGLE (p) 	ipc.control( 66590, p )  end 
function _ROTOR_LATERAL_TRIM_DEC (p) 	ipc.control( 66593, p )  end 
function _ROTOR_LATERAL_TRIM_INC (p) 	ipc.control( 66592, p )  end 
function _ROTOR_LATERAL_TRIM_SET (p) 	ipc.control( 66594, p )  end 
function _RUDDER_CENTER (p) 	ipc.control( 65689, p )  end 
function _RUDDER_LEFT (p) 	ipc.control( 65688, p )  end 
function _RUDDER_RIGHT (p) 	ipc.control( 65690, p )  end 
function _RUDDER_SET (p) 	ipc.control( 65696, p )  end 
function _RUDDER_TRIM_LEFT (p) 	ipc.control( 66278, p )  end 
function _RUDDER_TRIM_RIGHT (p) 	ipc.control( 66279, p )  end 
function _RUDDER_TRIM_SET (p) 	ipc.control( 66732, p )  end 

-- ## S - 1 ##
function _SCRIPT_EVENT_1 (p) 	ipc.control( 65782, p )  end 
function _SCRIPT_EVENT_2 (p) 	ipc.control( 65783, p )  end 
function _SEE_OWN_AC_OFF (p) 	ipc.control( 66120, p )  end 
function _SEE_OWN_AC_ON (p) 	ipc.control( 66119, p )  end 
function _SEE_OWN_AC_SET (p) 	ipc.control( 66121, p )  end 
function _SEE_OWN_AC_TOGGLE (p) 	ipc.control( 66118, p )  end 
function _SELECT_1 (p) 	ipc.control( 65538, p )  end 
function _SELECT_2 (p) 	ipc.control( 65539, p )  end 
function _SELECT_3 (p) 	ipc.control( 65540, p )  end 
function _SELECT_4 (p) 	ipc.control( 65541, p )  end 
function _SET_AUTOBRAKE_CONTROL (p) 	ipc.control( 66723, p )  end 
function _SET_FUEL_TRANSFER_AFT (p) 	ipc.control( 66326, p )  end 
function _SET_FUEL_TRANSFER_AUTO (p) 	ipc.control( 66327, p )  end 
function _SET_FUEL_TRANSFER_FORWARD (p) 	ipc.control( 66325, p )  end 
function _SET_FUEL_TRANSFER_OFF (p) 	ipc.control( 66328, p )  end 
function _SIM_RATE (p) 	ipc.control( 65555, p )  end 
function _SIM_RATE_DECR (p) 	ipc.control( 65790, p )  end 
function _SIM_RATE_INCR (p) 	ipc.control( 65789, p )  end 
function _SIM_RATE_SET (p) 	ipc.control( 66041, p )  end 
function _SIM_RESET (p) 	ipc.control( 66586, p )  end 
function _SIMUI_WINDOW_HIDESHOW (p) 	ipc.control( 66686, p )  end 
function _SITUATION_RESET (p) 	ipc.control( 65591, p )  end 
function _SITUATION_SAVE (p) 	ipc.control( 65575, p )  end 

-- ## S - 2 ##
function _SLEW_AHEAD_MINUS (p) 	ipc.control( 65745, p )  end 
function _SLEW_AHEAD_PLUS (p) 	ipc.control( 65739, p )  end 
function _SLEW_ALTIT_DN_FAST (p) 	ipc.control( 65624, p )  end 
function _SLEW_ALTIT_DN_SLOW (p) 	ipc.control( 65623, p )  end 
function _SLEW_ALTIT_FREEZE (p) 	ipc.control( 65622, p )  end 
function _SLEW_ALTIT_MINUS (p) 	ipc.control( 65626, p )  end 
function _SLEW_ALTIT_PLUS (p) 	ipc.control( 65625, p )  end 
function _SLEW_ALTIT_UP_FAST (p) 	ipc.control( 65620, p )  end 
function _SLEW_ALTIT_UP_SLOW (p) 	ipc.control( 65621, p )  end 
function _SLEW_BANK_MINUS (p) 	ipc.control( 65738, p )  end 
function _SLEW_BANK_PLUS (p) 	ipc.control( 65740, p )  end 
function _SLEW_FREEZE (p) 	ipc.control( 65742, p )  end 
function _SLEW_HEADING_MINUS (p) 	ipc.control( 65744, p )  end 
function _SLEW_HEADING_PLUS (p) 	ipc.control( 65746, p )  end 
function _SLEW_LEFT (p) 	ipc.control( 65741, p )  end 
function _SLEW_OFF (p) 	ipc.control( 65730, p )  end 
function _SLEW_ON (p) 	ipc.control( 65731, p )  end 
function _SLEW_PITCH_DN_FAST (p) 	ipc.control( 65627, p )  end 
function _SLEW_PITCH_DN_SLOW (p) 	ipc.control( 65628, p )  end 
function _SLEW_PITCH_FREEZE (p) 	ipc.control( 65629, p )  end 
function _SLEW_PITCH_MINUS (p) 	ipc.control( 65633, p )  end 
function _SLEW_PITCH_PLUS (p) 	ipc.control( 65632, p )  end 
function _SLEW_PITCH_UP_FAST (p) 	ipc.control( 65631, p )  end 
function _SLEW_PITCH_UP_SLOW (p) 	ipc.control( 65630, p )  end 
function _SLEW_RESET (p) 	ipc.control( 65796, p )  end 
function _SLEW_RIGHT (p) 	ipc.control( 65743, p )  end 
function _SLEW_SET (p) 	ipc.control( 66048, p )  end 
function _SLEW_TOGGLE (p) 	ipc.control( 65557, p )  end 

-- ## S - 3 ##
function _SMOKE_OFF (p) 	ipc.control( 66050, p )  end 
function _SMOKE_ON (p) 	ipc.control( 66049, p )  end 
function _SMOKE_SET (p) 	ipc.control( 66051, p )  end 
function _SMOKE_TOGGLE (p) 	ipc.control( 65559, p )  end 
function _SNAP_TO_PANEL (p) 	ipc.control( 66413, p )  end 
function _SNAP_VIEW (p) 	ipc.control( 66417, p )  end 
function _SOUND_OFF (p) 	ipc.control( 66063, p )  end 
function _SOUND_ON (p) 	ipc.control( 66062, p )  end 
function _SOUND_SET (p) 	ipc.control( 65692, p )  end 
function _SOUND_TOGGLE (p) 	ipc.control( 65552, p )  end 
function _SPOILERS_ARM_OFF (p) 	ipc.control( 66067, p )  end 
function _SPOILERS_ARM_ON (p) 	ipc.control( 66066, p )  end 
function _SPOILERS_ARM_SET (p) 	ipc.control( 66068, p )  end 
function _SPOILERS_ARM_TOGGLE (p) 	ipc.control( 65853, p )  end 
function _SPOILERS_OFF (p) 	ipc.control( 66065, p )  end 
function _SPOILERS_ON (p) 	ipc.control( 66064, p )  end 
function _SPOILERS_SET (p) 	ipc.control( 65786, p )  end 
function _SPOILERS_TOGGLE (p) 	ipc.control( 65589, p )  end 
function _STEERING_DEC (p) 	ipc.control( 66817, p )  end 
function _STEERING_INC (p) 	ipc.control( 66816, p )  end 
function _STEERING_SET (p) 	ipc.control( 66818, p )  end 
function _STROBES_OFF (p) 	ipc.control( 66053, p )  end 
function _STROBES_ON (p) 	ipc.control( 66052, p )  end 
function _STROBES_SET (p) 	ipc.control( 66054, p )  end 
function _STROBES_TOGGLE (p) 	ipc.control( 65560, p )  end 
function _SYNC_FLIGHT_DIRECTOR_PITCH (p) 	ipc.control( 66289, p )  end 

-- ## T - 1 ##
function _THROTTLE1_CUT (p) 	ipc.control( 65967, p )  end 
function _THROTTLE1_DECR (p) 	ipc.control( 65966, p )  end 
function _THROTTLE1_DECR_SMALL (p) 	ipc.control( 66635, p )  end 
function _THROTTLE1_FULL (p) 	ipc.control( 65963, p )  end 
function _THROTTLE1_INCR (p) 	ipc.control( 65964, p )  end 
function _THROTTLE1_INCR_SMALL (p) 	ipc.control( 65965, p )  end 
function _THROTTLE1_SET (p) 	ipc.control( 65820, p )  end 
function _THROTTLE2_CUT (p) 	ipc.control( 65972, p )  end 
function _THROTTLE2_DECR (p) 	ipc.control( 65971, p )  end 
function _THROTTLE2_DECR_SMALL (p) 	ipc.control( 66636, p )  end 
function _THROTTLE2_FULL (p) 	ipc.control( 65968, p )  end 
function _THROTTLE2_INCR (p) 	ipc.control( 65969, p )  end 
function _THROTTLE2_INCR_SMALL (p) 	ipc.control( 65970, p )  end 
function _THROTTLE2_SET (p) 	ipc.control( 65821, p )  end 
function _THROTTLE3_CUT (p) 	ipc.control( 65977, p )  end 
function _THROTTLE3_DECR (p) 	ipc.control( 65976, p )  end 
function _THROTTLE3_DECR_SMALL (p) 	ipc.control( 66637, p )  end 
function _THROTTLE3_FULL (p) 	ipc.control( 65973, p )  end 
function _THROTTLE3_INCR (p) 	ipc.control( 65974, p )  end 
function _THROTTLE3_INCR_SMALL (p) 	ipc.control( 65975, p )  end 
function _THROTTLE3_SET (p) 	ipc.control( 65822, p )  end 
function _THROTTLE4_CUT (p) 	ipc.control( 65982, p )  end 
function _THROTTLE4_DECR (p) 	ipc.control( 65981, p )  end 
function _THROTTLE4_DECR_SMALL (p) 	ipc.control( 66638, p )  end 
function _THROTTLE4_FULL (p) 	ipc.control( 65978, p )  end 
function _THROTTLE4_INCR (p) 	ipc.control( 65979, p )  end 
function _THROTTLE4_INCR_SMALL (p) 	ipc.control( 65980, p )  end 
function _THROTTLE4_SET (p) 	ipc.control( 65823, p )  end 
function _THROTTLE_10 (p) 	ipc.control( 66225, p )  end 
function _THROTTLE_20 (p) 	ipc.control( 66226, p )  end 
function _THROTTLE_30 (p) 	ipc.control( 66227, p )  end 
function _THROTTLE_40 (p) 	ipc.control( 66228, p )  end 
function _THROTTLE_50 (p) 	ipc.control( 66229, p )  end 
function _THROTTLE_60 (p) 	ipc.control( 66230, p )  end 
function _THROTTLE_70 (p) 	ipc.control( 66231, p )  end 
function _THROTTLE_80 (p) 	ipc.control( 66232, p )  end 
function _THROTTLE_90 (p) 	ipc.control( 66233, p )  end 
function _THROTTLE_CUT (p) 	ipc.control( 65604, p )  end 
function _THROTTLE_DECR (p) 	ipc.control( 65602, p )  end 
function _THROTTLE_DECR_SMALL (p) 	ipc.control( 66634, p )  end 
function _THROTTLE_FULL (p) 	ipc.control( 65596, p )  end 
function _THROTTLE_INCR (p) 	ipc.control( 65598, p )  end 
function _THROTTLE_INCR_SMALL (p) 	ipc.control( 65600, p )  end 
function _THROTTLE_SET (p) 	ipc.control( 65697, p )  end 

-- ## T - 2 ##
function _TOGGLE_AFTERBURNER (p) 	ipc.control( 66296, p )  end 
function _TOGGLE_AFTERBURNER1 (p) 	ipc.control( 66359, p )  end 
function _TOGGLE_AFTERBURNER2 (p) 	ipc.control( 66360, p )  end 
function _TOGGLE_AFTERBURNER3 (p) 	ipc.control( 66361, p )  end 
function _TOGGLE_AFTERBURNER4 (p) 	ipc.control( 66362, p )  end 
function _TOGGLE_AIRCRAFT_EXIT (p) 	ipc.control( 66389, p )  end 
function _TOGGLE_AIRCRAFT_LABELS (p) 	ipc.control( 66199, p )  end 
function _TOGGLE_AIRPORT_NAME_DISPLAY (p) 	ipc.control( 66724, p )  end 
function _TOGGLE_ALL_STARTERS (p) 	ipc.control( 66304, p )  end 
function _TOGGLE_ALTERNATE_STATIC (p) 	ipc.control( 66317, p )  end 
function _TOGGLE_ALTERNATOR1 (p) 	ipc.control( 66363, p )  end 
function _TOGGLE_ALTERNATOR2 (p) 	ipc.control( 66364, p )  end 
function _TOGGLE_ALTERNATOR3 (p) 	ipc.control( 66365, p )  end 
function _TOGGLE_ALTERNATOR4 (p) 	ipc.control( 66366, p )  end 
function _TOGGLE_AUTOFEATHER_ARM (p) 	ipc.control( 66297, p )  end 
function _TOGGLE_AVIONICS_MASTER (p) 	ipc.control( 66293, p )  end 
function _TOGGLE_BEACON_LIGHTS (p) 	ipc.control( 66239, p )  end 
function _TOGGLE_CABIN_LIGHTS (p) 	ipc.control( 66579, p )  end 
function _TOGGLE_DME (p) 	ipc.control( 66286, p )  end 
function _TOGGLE_ELECT_FUEL_PUMP (p) 	ipc.control( 66339, p )  end 
function _TOGGLE_ELECT_FUEL_PUMP1 (p) 	ipc.control( 66340, p )  end 
function _TOGGLE_ELECT_FUEL_PUMP2 (p) 	ipc.control( 66341, p )  end 
function _TOGGLE_ELECT_FUEL_PUMP3 (p) 	ipc.control( 66342, p )  end 
function _TOGGLE_ELECT_FUEL_PUMP4 (p) 	ipc.control( 66343, p )  end 
function _TOGGLE_ELECTRIC_VACUUM_PUMP (p) 	ipc.control( 66290, p )  end 
function _TOGGLE_ELECTRICAL_FAILURE (p) 	ipc.control( 66306, p )  end 
function _TOGGLE_ENGINE1_FAILURE (p) 	ipc.control( 66313, p )  end 
function _TOGGLE_ENGINE2_FAILURE (p) 	ipc.control( 66314, p )  end 
function _TOGGLE_ENGINE3_FAILURE (p) 	ipc.control( 66315, p )  end 
function _TOGGLE_ENGINE4_FAILURE (p) 	ipc.control( 66316, p )  end 
function _TOGGLE_FEATHER_SWITCH_1 (p) 	ipc.control( 66537, p )  end 
function _TOGGLE_FEATHER_SWITCH_2 (p) 	ipc.control( 66538, p )  end 
function _TOGGLE_FEATHER_SWITCH_3 (p) 	ipc.control( 66539, p )  end 
function _TOGGLE_FEATHER_SWITCH_4 (p) 	ipc.control( 66540, p )  end 
function _TOGGLE_FEATHER_SWITCHES (p) 	ipc.control( 66536, p )  end 
function _TOGGLE_FLIGHT_DIRECTOR (p) 	ipc.control( 66288, p )  end 
function _TOGGLE_FUEL_VALVE_ALL (p) 	ipc.control( 66493, p )  end 
function _TOGGLE_FUEL_VALVE_ENG1 (p) 	ipc.control( 66494, p )  end 
function _TOGGLE_FUEL_VALVE_ENG2 (p) 	ipc.control( 66495, p )  end 
function _TOGGLE_FUEL_VALVE_ENG3 (p) 	ipc.control( 66496, p )  end 
function _TOGGLE_FUEL_VALVE_ENG4 (p) 	ipc.control( 66497, p )  end 
function _TOGGLE_GPS_DRIVES_NAV1 (p) 	ipc.control( 66375, p )  end 

-- ## T - 3 ##
function _TOGGLE_HYDRAULIC_FAILURE (p) 	ipc.control( 66309, p )  end 
function _TOGGLE_JETWAY (p) 	ipc.control( 66695, p )  end 
function _TOGGLE_LEFT_BRAKE_FAILURE (p) 	ipc.control( 66311, p )  end 
function _TOGGLE_LOGO_LIGHTS (p) 	ipc.control( 66376, p )  end 
function _TOGGLE_MASTER_ALTERNATOR (p) 	ipc.control( 66242, p )  end 
function _TOGGLE_MASTER_BATTERY (p) 	ipc.control( 66241, p )  end 
function _TOGGLE_MASTER_BATTERY_ALTERNATOR (p) 	ipc.control( 66374, p )  end 
function _TOGGLE_MASTER_IGNITION_SWITCH (p) 	ipc.control( 66535, p )  end 
function _TOGGLE_MASTER_STARTER_SWITCH (p) 	ipc.control( 66725, p )  end 
function _TOGGLE_NAV_LIGHTS (p) 	ipc.control( 66379, p )  end 
function _TOGGLE_PITOT_BLOCKAGE (p) 	ipc.control( 66307, p )  end 
function _TOGGLE_PRIMER (p) 	ipc.control( 66344, p )  end 
function _TOGGLE_PRIMER1 (p) 	ipc.control( 66345, p )  end 
function _TOGGLE_PRIMER2 (p) 	ipc.control( 66346, p )  end 
function _TOGGLE_PRIMER3 (p) 	ipc.control( 66347, p )  end 
function _TOGGLE_PRIMER4 (p) 	ipc.control( 66348, p )  end 
function _TOGGLE_PROPELLER_DEICE (p) 	ipc.control( 66338, p )  end 
function _TOGGLE_PROPELLER_SYNC (p) 	ipc.control( 66287, p )  end 
function _TOGGLE_PUSHBACK (p) 	ipc.control( 66483, p )  end 
function _TOGGLE_RAD_INS_SWITCH (p) 	ipc.control( 66320, p )  end 
function _TOGGLE_RECOGNITION_LIGHTS (p) 	ipc.control( 66377, p )  end 
function _TOGGLE_RIGHT_BRAKE_FAILURE (p) 	ipc.control( 66312, p )  end 
function _TOGGLE_STARTER1 (p) 	ipc.control( 66300, p )  end 
function _TOGGLE_STARTER2 (p) 	ipc.control( 66301, p )  end 
function _TOGGLE_STARTER3 (p) 	ipc.control( 66302, p )  end 
function _TOGGLE_STARTER4 (p) 	ipc.control( 66303, p )  end 
function _TOGGLE_STATIC_PORT_BLOCKAGE (p) 	ipc.control( 66308, p )  end 
function _TOGGLE_STRUCTURAL_DEICE (p) 	ipc.control( 66337, p )  end 
function _TOGGLE_TAIL_HOOK_HANDLE (p) 	ipc.control( 66391, p )  end 
function _TOGGLE_TAILWHEEL_LOCK (p) 	ipc.control( 66541, p )  end 
function _TOGGLE_TAXI_LIGHTS (p) 	ipc.control( 66240, p )  end 
function _TOGGLE_TOTAL_BRAKE_FAILURE (p) 	ipc.control( 66310, p )  end 
function _TOGGLE_TURN_INDICATOR_SWITCH (p) 	ipc.control( 66688, p )  end 
function _TOGGLE_VACUUM_FAILURE (p) 	ipc.control( 66305, p )  end 
function _TOGGLE_VARIOMETER_SWITCH (p) 	ipc.control( 66687, p )  end 
function _TOGGLE_WATER_BALLAST_VALVE (p) 	ipc.control( 66698, p )  end 
function _TOGGLE_WATER_RUDDER (p) 	ipc.control( 66482, p )  end 
function _TOGGLE_WING_FOLD (p) 	ipc.control( 66390, p )  end 
function _TOGGLE_WING_LIGHTS (p) 	ipc.control( 66378, p )  end 
function _TOW_PLANE_RELEASE (p) 	ipc.control( 66806, p )  end 
function _TOW_PLANE_REQUEST (p) 	ipc.control( 66807, p )  end 
function _TRUE_AIRSPEED_CAL_DEC (p) 	ipc.control( 65886, p )  end 
function _TRUE_AIRSPEED_CAL_INC (p) 	ipc.control( 65885, p )  end 
function _TRUE_AIRSPEED_CAL_SET (p) 	ipc.control( 66043, p )  end 
function _TUG_DISABLE (p) 	ipc.control( 66533, p )  end 
function _TURBINE_IGNITION_SWITCH_TOGGLE (p) 	ipc.control( 66717, p )  end 

-- ## U - V ##
function _USER_INTERRUPT (p) 	ipc.control( 66268, p )  end 
function _VIDEO_RECORD_TOGGLE (p) 	ipc.control( 66722, p )  end 
function _VIEW (p) 	ipc.control( 65606, p )  end 
function _VIEW1_DIRECTION_SET (p) 	ipc.control( 65693, p )  end 
function _VIEW_ALWAYS_PAN_DOWN (p) 	ipc.control( 66152, p )  end 
function _VIEW_ALWAYS_PAN_UP (p) 	ipc.control( 66151, p )  end 
function _VIEW_AUX_00 (p) 	ipc.control( 66182, p )  end 
function _VIEW_AUX_01 (p) 	ipc.control( 66183, p )  end 
function _VIEW_AUX_02 (p) 	ipc.control( 66184, p )  end 
function _VIEW_AUX_03 (p) 	ipc.control( 66185, p )  end 
function _VIEW_AUX_04 (p) 	ipc.control( 66186, p )  end 
function _VIEW_AUX_05 (p) 	ipc.control( 66187, p )  end 
function _VIEW_AXIS_INDICATOR_CYCLE (p) 	ipc.control( 66690, p )  end 
function _VIEW_CAMERA_SELECT_0 (p) 	ipc.control( 66860, p )  end 
function _VIEW_CAMERA_SELECT_1 (p) 	ipc.control( 66851, p )  end 
function _VIEW_CAMERA_SELECT_2 (p) 	ipc.control( 66852, p )  end 
function _VIEW_CAMERA_SELECT_3 (p) 	ipc.control( 66853, p )  end 
function _VIEW_CAMERA_SELECT_4 (p) 	ipc.control( 66854, p )  end 
function _VIEW_CAMERA_SELECT_5 (p) 	ipc.control( 66855, p )  end 
function _VIEW_CAMERA_SELECT_6 (p) 	ipc.control( 66856, p )  end 
function _VIEW_CAMERA_SELECT_7 (p) 	ipc.control( 66857, p )  end 
function _VIEW_CAMERA_SELECT_8 (p) 	ipc.control( 66858, p )  end 
function _VIEW_CAMERA_SELECT_9 (p) 	ipc.control( 66859, p )  end 
function _VIEW_CAMERA_SELECT_START (p) 	ipc.control( 66168, p )  end 
function _VIEW_CHASE_DISTANCE_ADD (p) 	ipc.control( 66699, p )  end 
function _VIEW_CHASE_DISTANCE_SUB (p) 	ipc.control( 66700, p )  end 
function _VIEW_COCKPIT_FORWARD (p) 	ipc.control( 66653, p )  end 
function _VIEW_DOWN (p) 	ipc.control( 65682, p )  end 
function _VIEW_FORWARD (p) 	ipc.control( 65674, p )  end 
function _VIEW_FORWARD_LEFT (p) 	ipc.control( 65681, p )  end 
function _VIEW_FORWARD_LEFT_UP (p) 	ipc.control( 66144, p )  end 
function _VIEW_FORWARD_RIGHT (p) 	ipc.control( 65675, p )  end 
function _VIEW_FORWARD_RIGHT_UP (p) 	ipc.control( 66138, p )  end 
function _VIEW_FORWARD_UP (p) 	ipc.control( 66137, p )  end 
function _VIEW_LEFT (p) 	ipc.control( 65680, p )  end 
function _VIEW_LEFT_UP (p) 	ipc.control( 66143, p )  end 
function _VIEW_LINKING_SET (p) 	ipc.control( 66663, p )  end 
function _VIEW_LINKING_TOGGLE (p) 	ipc.control( 66664, p )  end 

-- ## V - 2 ##
function _VIEW_MAP_ORIENTATION_CYCLE (p) 	ipc.control( 66691, p )  end 
function _VIEW_MODE (p) 	ipc.control( 65567, p )  end 
function _VIEW_MODE_REV (p) 	ipc.control( 65749, p )  end 
function _VIEW_PANEL_ALPHA_DEC (p) 	ipc.control( 66662, p )  end 
function _VIEW_PANEL_ALPHA_INC (p) 	ipc.control( 66661, p )  end 
function _VIEW_PANEL_ALPHA_SELECT (p) 	ipc.control( 66660, p )  end 
function _VIEW_PANEL_ALPHA_SET (p) 	ipc.control( 66659, p )  end 
function _VIEW_PREVIOUS_TOGGLE (p) 	ipc.control( 66167, p )  end 
function _VIEW_REAR (p) 	ipc.control( 65678, p )  end 
function _VIEW_REAR_LEFT (p) 	ipc.control( 65679, p )  end 
function _VIEW_REAR_LEFT_UP (p) 	ipc.control( 66142, p )  end 
function _VIEW_REAR_RIGHT (p) 	ipc.control( 65677, p )  end 
function _VIEW_REAR_RIGHT_UP (p) 	ipc.control( 66140, p )  end 
function _VIEW_REAR_UP (p) 	ipc.control( 66141, p )  end 
function _VIEW_RESET (p) 	ipc.control( 66147, p )  end 
function _VIEW_RIGHT (p) 	ipc.control( 65676, p )  end 
function _VIEW_RIGHT_UP (p) 	ipc.control( 66139, p )  end 
function _VIEW_TRACK_PAN_TOGGLE (p) 	ipc.control( 66166, p )  end 
function _VIEW_TYPE (p) 	ipc.control( 65829, p )  end 
function _VIEW_TYPE_REV (p) 	ipc.control( 65830, p )  end 
function _VIEW_UP (p) 	ipc.control( 66145, p )  end 
function _VIEW_VIRTUAL_COCKPIT_FORWARD (p) 	ipc.control( 66654, p )  end 
function _VIEW_WINDOW_TITLES_TOGGLE (p) 	ipc.control( 66689, p )  end 
function _VIEW_WINDOW_TO_FRONT (p) 	ipc.control( 65576, p )  end 
function _VIEW_ZOOM_SET (p) 	ipc.control( 65701, p )  end 
function _VIRTUAL_COPILOT_ACTION (p) 	ipc.control( 66599, p )  end 
function _VIRTUAL_COPILOT_SET (p) 	ipc.control( 66598, p )  end 
function _VIRTUAL_COPILOT_TOGGLE (p) 	ipc.control( 66597, p )  end 
function _VOR1_OBI_DEC (p) 	ipc.control( 65662, p )  end 
function _VOR1_OBI_INC (p) 	ipc.control( 65663, p )  end 
function _VOR1_SET (p) 	ipc.control( 65716, p )  end 
function _VOR2_OBI_DEC (p) 	ipc.control( 65664, p )  end 
function _VOR2_OBI_INC (p) 	ipc.control( 65665, p )  end 
function _VOR2_SET (p) 	ipc.control( 65717, p )  end 
function _VOR_OBS (p) 	ipc.control( 65583, p )  end 
function _VSI_BUG_SELECT (p) 	ipc.control( 66511, p )  end 

-- ## W - X - Z ##
function _WAR_EMERGENCY_POWER (p) 	ipc.control( 66202, p )  end 
function _XPNDR (p) 	ipc.control( 65556, p )  end 
function _XPNDR_1000_DEC (p) 	ipc.control( 66455, p )  end 
function _XPNDR_1000_INC (p) 	ipc.control( 65651, p )  end 
function _XPNDR_100_DEC (p) 	ipc.control( 66456, p )  end 
function _XPNDR_100_INC (p) 	ipc.control( 65652, p )  end 
function _XPNDR_10_DEC (p) 	ipc.control( 66457, p )  end 
function _XPNDR_10_INC (p) 	ipc.control( 65653, p )  end 
function _XPNDR_1_DEC (p) 	ipc.control( 66458, p )  end 
function _XPNDR_1_INC (p) 	ipc.control( 65654, p )  end 
function _XPNDR_DEC_CARRY (p) 	ipc.control( 66459, p )  end 
function _XPNDR_INC_CARRY (p) 	ipc.control( 66460, p )  end 
function _XPNDR_SET (p) 	ipc.control( 65715, p )  end 
function _YAW_DAMPER_OFF (p) 	ipc.control( 66070, p )  end 
function _YAW_DAMPER_ON (p) 	ipc.control( 66069, p )  end 
function _YAW_DAMPER_SET (p) 	ipc.control( 66071, p )  end 
function _YAW_DAMPER_TOGGLE (p) 	ipc.control( 65793, p )  end 
function _YAXIS_INVERT_TOGGLE (p) 	ipc.control( 66743, p )  end 
function _ZOOM_1X (p) 	ipc.control( 65550, p )  end 
function _ZOOM_IN (p) 	_loggg('zoom in') ipc.control( 65655, p )  end 
function _ZOOM_IN_FINE (p) 	ipc.control( 65754, p )  end 
function _ZOOM_MINUS (p) 	ipc.control( 65718, p )  end 
function _ZOOM_OUT (p) 	_loggg('zoom out') ipc.control( 65656, p )  end 
function _ZOOM_OUT_FINE (p) 	ipc.control( 65755, p )  end 
function _ZOOM_PLUS (p) 	ipc.control( 65719, p )  end 
function _ZULU_DAY_SET (p) 	ipc.control( 66077, p )  end 
function _ZULU_HOURS_SET (p) 	ipc.control( 66075, p )  end 
function _ZULU_MINUTES_SET (p) 	ipc.control( 66076, p )  end 
function _ZULU_YEAR_SET (p) 	ipc.control( 66078, p )  end

_log("[LIB]  FSX Functions loaded...")